<?php

namespace Drupal\entity_timeline\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines the timeline item type plugin annotation.
 *
 * @see \Drupal\entity_timeline\Plugin\TimelineItemTypeInterface
 * @see \Drupal\entity_timeline\Plugin\TimelineItemTypeManager
 * @see plugin_api
 *
 * @Annotation
 */
class TimelineItemType extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public string $id;

  /**
   * The plugin label.
   *
   * @var string
   */
  public string $label;

  /**
   * The plugin entity type.
   *
   * @var string
   */
  public string $entity_type;

  /**
   * The plugin dependencies.
   *
   * @var array
   */
  public array $dependencies;

}
